Subject: Re: [PATCH mlx5-next v2 0/5] Dynamically assign MSI-X vectors count

From: Leon Romanovsky <[email-masked]>
Date: Sun, 17 Jan 2021 07:44:09 +0200

On Thu, Jan 14, 2021 at 09:51:28AM -0800, Jakub Kicinski wrote:
> On Thu, 14 Jan 2021 12:31:35 +0200 Leon Romanovsky wrote:
> > The number of MSI-X vectors is PCI property visible through lspci, that
> > field is read-only and configured by the device.
> >
> > The static assignment of an amount of MSI-X vectors doesn't allow utilize
> > the newly created VF because it is not known to the device the future load
> > and configuration where that VF will be used.
> >
> > The VFs are created on the hypervisor and forwarded to the VMs that have
> > different properties (for example number of CPUs).
> >
> > To overcome the inefficiency in the spread of such MSI-X vectors, we
> > allow the kernel to instruct the device with the needed number of such
> > vectors, before VF is initialized and bounded to the driver.
>
>
> Hi Leon!
>
> Looks like you got some missing kdoc here, check out the test in
> patchwork so we don't need to worry about this later:
>
> https://patchwork.kernel.org/project/netdevbpf/list/?series=414497

Thanks Jakub,

I'll add kdocs to internal mlx5 functions.
IMHO, they are useless.

Thanks